/*
 * Copyright 2018 Equilinox Mod Kit Project
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 *    the following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package equilinoxmodkit;


/**
 * Provides information about the Equilinox Mod Kit like the current API version.
 *
 * @author EMK Team
 */
public final class EMK {
	
	
	/** Version of the Equilinox Mod Kit following the semantic versioning system of {@code MAJOR.MINOR.PATCH}. */
	public static final int
			VERSION_MAJOR = 0,
			VERSION_MINOR = 4,
			VERSION_PATCH = 1;
	/** Version of the Equilinox Mod Kit following the semantic versioning system. */
	public static final String VERSION = String.format( "%d.%d.%d",VERSION_MAJOR,VERSION_MINOR,VERSION_PATCH );
	/** Version of Equilinox the Equilinox Mod Kit has been tested with. */
	public static final String MADE_FOR_EQUILINOX_VERSION = "1.2.0";
	
	
	/** Private constructor because of statically used class. */
	private EMK() {
	}
	
	
}
